﻿div.BBBuildingBlock, div.BBBuildingBlockNoEdit {
	position: relative;
	padding: 1px;
}
	div.BBBuildingBlock:hover {
		border: 1px solid #afeeee;
		padding: 0px;
		box-shadow: 0 0 10px #afeeee;
		margin: 0 10px 0 10px;
	}

	div.BBBuildingBlock > div.BBBuildingBlockEditMenu {
		position: absolute;
		top: 0px;
		right: 0;
		opacity: 0.4;
		background-color: #e0ffff;
	}
	div.BBBuildingBlock > div.BBBuildingBlockEditMenu {
		display: none;
	}
	div.BBBuildingBlock:hover > div.BBBuildingBlockEditMenu {
		display: inherit;
		border: 1px solid #afeeee;
		box-shadow: 0 0 10px #afeeee;
		z-index: 100;
	}


	div.BBBuildingBlock > div.BBBuildingBlockEditMenu button {
		border: 2px solid #555;
	}

	div.BBBuildingBlock > div.BBBuildingBlockEditMenu button[disabled=disabled],
	div.BBBuildingBlock > div.BBBuildingBlockEditMenu button:disabled {
		cursor: default;
	}